summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKathy Gray2014-10-01 17:28:47 +0100
committerKathy Gray2014-10-01 17:28:47 +0100
commitd65de6195e4274b38351bb380e706a874a0576aa (patch)
treecad961eaf89891dcf22549c2eb32e06d2db35563
parentff58bc28111de2935b3e57a6630827a2d0fac202 (diff)
Add file to download required libraries
-rwxr-xr-xsrc/contrib/checkout.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/src/contrib/checkout.sh b/src/contrib/checkout.sh
new file mode 100755
index 00000000..63ce1532
--- /dev/null
+++ b/src/contrib/checkout.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+test -d batteries-included || (git clone https://github.com/ocaml-batteries-team/batteries-included.git && \
+ cd batteries-included && git checkout release-2.2.0)
+(cd batteries-included && make all)
+
+test -d bitstring || (git clone https://code.google.com/p/bitstring/ && \
+ cd bitstring && git checkout master)
+(cd bitstring && (test -e config.h || (aclocal && autoreconf && ./configure)) && make srcdir='$top_srcdir' )
+
+# To fix "-fno-defer-pop" build problem on Mac OS, brew install gcc
+# and make sure "gcc" runs the brew version (not clang). Or get ocaml
+# 4.01.0 via opam, which avoids this problem.
+test -d uint || (git clone https://github.com/andrenth/ocaml-uint.git && \
+ cd ocaml-uint && git checkout 1.1.x)
+(cd ocaml-uint && make)